import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {RouterModule} from "@angular/router";
import {IconsPreviewComponent} from "./icons-preview.component";
import {IconsService} from "../icons.service";
import {IconsModule} from "../icons.module";
import {
  book,
  cog,
  database,
  earth,
  filters,
  graph,
  incognito, link, mining,
  orcid_add,
  orcid_bin,
  quotes,
  restricted
} from "../icons";

@NgModule({
  imports: [CommonModule, RouterModule.forChild([
    {path: '', component: IconsPreviewComponent}
  ]), IconsModule],
  declarations: [IconsPreviewComponent],
  exports: [IconsPreviewComponent]
})
export class IconsPreviewModule {
  constructor(private iconsService: IconsService) {
    this.iconsService.registerIcons([book, database, cog, earth, incognito, restricted, graph, filters, orcid_add, orcid_bin, link, quotes, mining])
  }
}
